using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Club_默认模板_Club_Aspx_3:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-6-12 11:26:43
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("贴子内容","其它","贴子内容",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
	贴子ID=Convert.ToInt32(Request.QueryString["ID"]);
	排序=Convert.ToInt32(Request.QueryString["border"]);
	是否精华=Convert.ToBoolean(Request.QueryString["bstate"]);
	版块页码=Convert.ToInt32(Request.QueryString["bpage"]);
	是否余下全部=Convert.ToInt32(Request.QueryString["yx"]);
	一页显示记录=获取一页显示记录数();
	时间格式=获取时间格式();
	范围ID=获取范围ID();
	查询字段=获取查询字段();
	作者查询字段=获取作者查询字段();
	生成贴子内容();
	当前页面=程序.安装位置+"Club/Topic.aspx";
	获取论坛版块();
	获取贴子作者();
	附件数组=贴子["附件内容"].ToString().Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
	投票数组=贴子["投票选项"].ToString().Split(new char[]{','},StringSplitOptions.RemoveEmptyEntries);
	生成投票数量();
	跳页表单项="<postfield name=\"border\" value=\""+排序+"\" />"+
		"<postfield name=\"bpage\" value=\""+版块页码+"\" />"+
		"<postfield name=\"BID\" value=\""+所属版块+"\" />"+
		"<postfield name=\"bstate\" value=\""+是否精华+"\" />"+
		"<postfield name=\"ID\" value=\""+贴子ID+"\" />"+
		"<postfield name=\"yx\" value=\""+是否余下全部+"\" />"+
		"<postfield name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"border\" value=\""+排序+"\" />"+
		"<input type=\"hidden\" name=\"bpage\" value=\""+版块页码+"\" />"+
		"<input type=\"hidden\" name=\"BID\" value=\""+所属版块+"\" />"+
		"<input type=\"hidden\" name=\"bstate\" value=\""+是否精华+"\" />"+
		"<input type=\"hidden\" name=\"ID\" value=\""+贴子ID+"\" />"+
		"<input type=\"hidden\" name=\"yx\" value=\""+是否余下全部+"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+"\" value=\""+访问.用户["标识"]+"\" />";
	生成贴子正文();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""");
		返回值.Append(Server.HtmlEncode(贴子["标题"].ToString()));
		返回值.Append(@"-");
		返回值.Append(常用.获取版块名称(Convert.ToInt32(贴子["所属版块"])));
		返回值.Append(@""">
<p>
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
");
		if(访问.用户["用户类型"].ToString()!="会员")
		{
		返回值.Append(@"
请先<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Login.aspx?rurl="+Server.UrlEncode(Request.Url.ToString().Replace(访问.用户["标识"].ToString(),"@sid@")),访问.用户["标识"].ToString())));
		返回值.Append(@""">登录</a>或<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Reg.aspx?rurl="+Server.UrlEncode(Request.Url.ToString().Replace(访问.用户["标识"].ToString(),"@sid@")),访问.用户["标识"].ToString())));
		返回值.Append(@""">注册</a><br/>
");
		}
		返回值.Append(@"
主题:");
		返回值.Append(常用.贴子状态代码(贴子));
		返回值.Append(Server.HtmlEncode(贴子["标题"].ToString()));
		返回值.Append(@"<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Collection_Save.aspx?type=Topic&BID="+论坛版块["ID"]+"&ID="+贴子ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">收藏</a><br/>
楼主:<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/User.aspx?ID="+贴子作者["ID"]+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
		返回值.Append(@""">");
		返回值.Append(Server.HtmlEncode(贴子["作者昵称"].ToString()));
		返回值.Append(@"(ID:");
		返回值.Append(贴子["作者ID"]);
		返回值.Append(@"/");
		返回值.Append(Convert.ToDateTime(贴子作者["最后访问时间"])>(DateTime.Now-new TimeSpan(0,Convert.ToInt32(程序.设置["离线时间"]),0))?"在线":"离线");
		返回值.Append(@")</a>");
		返回值.Append(常用.显示所有图片(贴子作者["勋章"].ToString()));
		返回值.Append(@"
<br/>
");
		返回值.Append(时间格式==null?贴子["发表时间"].ToString():Convert.ToDateTime(贴子["发表时间"]).ToString(时间格式));
		返回值.Append(@"<br/>
------------------------<br/>

");
		返回值.Append(常用.UBB转换(Server.HtmlEncode(贴子正文),访问.用户));
		返回值.Append(@"<br/>

");
		if(总页数<2)
		{
		}
		else if(是否余下全部==1)
		{
		}
		else
		{
		返回值.Append(@"
");
		返回值.Append(下页代码7T9S4U5C());
		返回值.Append(@"
");
		返回值.Append(上页代码5K2KQX0H());
		返回值.Append(@"
");
		返回值.Append(余下全部KIHDW5IH());
		返回值.Append(@"
");
		返回值.Append(当前页);
		返回值.Append(@"/");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
<input type=""text"" name=""page"" format=""*N"" value=""2"" size=""2"" /><anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>跳转</anchor><br/>");
		}
		返回值.Append(@"

");
		操作记录IBG0T9SC();
		返回值.Append(@"
");
		if(贴子["投票选项"].ToString()!="")
		{
		返回值.Append(@"
<br/>
共");
		返回值.Append(投票总数);
		返回值.Append(@"人参与投票<br/>
");
		投票列表GM4RI0U1();
		返回值.Append(@"
");

		}
		返回值.Append(@"

");
		if(Convert.ToInt32(贴子["贴子类型"])==1)
		{
		返回值.Append(@"
<br/>
共");
		返回值.Append(附件数组.Length);
		返回值.Append(@"个附件<br/>
");
		附件列表SIRWYOU1();
		返回值.Append(@"
");

		}
		返回值.Append(@"

------------------------<br/>

");

	if(Convert.ToInt32(贴子作者["ID"])==Convert.ToInt32(访问.用户["ID"]))
	{		返回值.Append(@"
操作:<a href=""Topic_Edit.aspx?BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">修改</a>.<a href=""Topic_Append.aspx?BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">续贴</a>.<a href=""Topic_Delete.aspx?BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">删除</a><br/>
");

	}		返回值.Append(@"

");
		if(是否版主())
		{
		返回值.Append(@"
<a href=""Topic_State.aspx?action=0&amp;BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">精华</a>.<a href=""Topic_State.aspx?action=1&amp;BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">锁定</a>.<a href=""Topic_State.aspx?action=2&amp;BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">置顶</a>.<a href=""Topic_Delete.aspx?BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">删除</a><br/>
");

		}
		返回值.Append(@"
点击(");
		返回值.Append(贴子["点击数"]);
		返回值.Append(@")鲜花<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Topic_Flower.aspx?BID="+论坛版块["ID"]+"&ID="+贴子ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">(");
		返回值.Append(贴子["鲜花数"]);
		返回值.Append(@")</a>鸡蛋<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Topic_Egg.aspx?BID="+论坛版块["ID"]+"&ID="+贴子ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">(");
		返回值.Append(贴子["鸡蛋数"]);
		返回值.Append(@")</a><br/>
");
		回贴列表8BNHEFRT();
		返回值.Append(@"
");
		if(Convert.ToInt32(贴子["回贴数"])>0)
		{
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Reply.aspx?BID="+论坛版块["ID"]+"&ID="+贴子ID,访问.用户["标识"].ToString())));
		返回值.Append(@""">更多回贴(");
		返回值.Append(贴子["回贴数"]);
		返回值.Append(@")</a><br/>
");

		}
		返回值.Append(@"

");
		if(是否允许回贴())
		{
		返回值.Append(@"
<input type=""text"" name=""ReplyText"" maxlength=""1000"" /><br/>
<anchor><go href=""Reply_Save.aspx?BID=");
		返回值.Append(贴子["所属版块"]);
		返回值.Append(@"&amp;ID=");
		返回值.Append(贴子["ID"]);
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""" method=""post""><postfield name=""ReplyText"" value=""$(ReplyText)""/></go>回复贴子</anchor><br/>
");

		}
		返回值.Append(@"

");
		上下贴子VCFCEF79();
		返回值.Append(@"
");
		上下贴子A787ZDTP();
		返回值.Append(@"
");
		if(所属版块!=0)
		{
			DataSet 数据2ELFFSXA=(DataSet)Application["UUN_UUN3G_LunTanBanKuai"];
			返回值.Append(生成上级版块列表2ELFFSXA(数据2ELFFSXA,所属版块));
		}
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"club/page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回社区首页</a><br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面;
	//参数
	private int 所属版块;
	private int 排序;
	private bool 是否精华;
	private int 版块页码;
	private int 贴子ID;
	private int 是否余下全部;
	//其它
	private String 跳页表单项;
	private String _3G跳页表单项;
	private DataRow 论坛版块;
	private DataSet 论坛版主;
	private Hashtable 贴子作者;
	private Hashtable 贴子;
	private String 贴子正文;
	private String 查询字段;
	private String 作者查询字段;
	private String 范围ID;
	private String 时间格式;
	private String[] 附件数组;
	private String[] 投票数组;
	private int[] 投票数量数组;
	private int 投票总数;
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录;
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?BID="+所属版块+"&border="+排序+"&bpage="+版块页码+"&bstate="+是否精华+"&ID="+贴子ID+"&page="+页码,访问.用户["标识"].ToString()));
	}
	private void 获取论坛版块()
	{
		DataSet 论坛版块=(DataSet)Application["UUN_UUN3G_LunTanBanKuai"];
		for(int i=0;i<论坛版块.Tables[0].Rows.Count;i++)
		{
			DataRow 行=论坛版块.Tables[0].Rows[i];
			if(Convert.ToInt32(行["ID"])==所属版块)
				this.论坛版块=行;
		}
	}
	private void 生成贴子内容()
	{
		SqlCommand 语句=new SqlCommand("UPDATE ["+程序.数据表前缀+"社区_论坛_贴子] SET [点击数]=[点击数]+1 WHERE [是否删除]='0'"+(贴子ID==0?"":" AND [ID]="+贴子ID),访问.连接);
		语句.ExecuteNonQuery();
		语句=new SqlCommand("SELECT "+查询字段+" FROM ["+程序.数据表前缀+"社区_论坛_贴子] WHERE [是否删除]='0'"+(贴子ID==0?"":" AND [ID]="+贴子ID),访问.连接);
		贴子=常用.SQL_获取(语句);
		if(贴子==null)
			throw new Exception("贴子不存在");
		贴子ID=Convert.ToInt32(贴子["ID"]);
		所属版块=Convert.ToInt32(贴子["所属版块"]);

		int 贴子模板=Convert.ToInt32(贴子["模板_贴子内容"]);
		if(File.Exists(Server.MapPath("~/Template/Club/"+程序.设置["默认社区模板"]+"/Club_Aspx/"+贴子模板+".aspx")))
			Server.Transfer("~/Template/Club/"+程序.设置["默认社区模板"]+"/Club_Aspx/"+贴子模板+".aspx");
	}
	private void 获取贴子作者()
	{
		贴子作者=常用.SQL_获取(new SqlCommand("SELECT "+作者查询字段+" FROM ["+程序.数据表前缀+"社区_用户_用户] WHERE [ID]="+贴子["作者ID"],访问.连接));
		if(贴子作者==null)
			throw new Exception("贴子作者不存在");
	}
	private void 获取论坛版主()
	{
		论坛版主=new DataSet();
		SqlCommand 语句=new SqlCommand("SELECT * FROM ["+程序.数据表前缀+"社区_论坛_版主] WHERE [所属版块]="+所属版块+" ORDER BY [创建时间]",访问.连接);
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(论坛版主,"论坛版主");
	}
	private bool 是否版主()
	{
		if(论坛版主==null)
			获取论坛版主();
		bool 返回值=false;
		for(int i=0;i<论坛版主.Tables[0].Rows.Count;i++)
			if(Convert.ToInt32(论坛版主.Tables[0].Rows[i]["版主ID"])==Convert.ToInt32(访问.用户["ID"]))
				返回值=true;
		return 返回值;
	}
	private bool 是否允许回贴()
	{
		if(Convert.ToBoolean(贴子["是否锁定"]))
			return false;
		switch(Convert.ToInt32(论坛版块["回贴权限"]))
		{
			case 0:
				return true;
			case 1:
				return 访问.用户["用户类型"].ToString()=="会员";
			default:
				return 是否版主();
		}
	}
	private void 应用版块设置()
	{
		if(!Convert.ToBoolean(论坛版块["版块状态"]))
			throw new Exception(论坛版块["禁止访问提示"].ToString());
		switch(Convert.ToInt32(论坛版块["访问权限"]))
		{
			case 0:
				break;
			case 1:
				访问.验证会员();
				break;
			default:
				if(!是否版主())
					throw new Exception("此版块只允许版主访问");
				break;
		}
	}
	private int 获取票数(String 投票项)
	{
		SqlCommand 语句=new SqlCommand("SELECT COUNT(ID) FROM ["+程序.数据表前缀+"其它_投票] WHERE [内容类型]='贴子' AND [内容ID]="+贴子ID+" AND [投票项]=@投票项",访问.连接);
		语句.Parameters.Add("@投票项",SqlDbType.NVarChar).Value=投票项;
		return Convert.ToInt32(语句.ExecuteScalar());
	}
	private void 生成投票数量()
	{
		投票数量数组=new int[投票数组.Length];
		for(int i=0;i<投票数组.Length;i++)
		{
			int 票数=获取票数(投票数组[i]);
			投票数量数组[i]=票数;
			投票总数+=票数;
		}
	}
	private void 生成贴子正文()
	{
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		String 贴子正文内容=File.ReadAllText(Server.MapPath(程序.安装位置+"Data/DT_TieZhi/"+(贴子ID/500)+"/"+贴子ID+".txt"),Encoding.UTF8);
		总记录数=贴子正文内容.Length;
		总页数=常用.计算总页数(总记录数,一页显示记录);
		当前页=常用.计算当前页(总页数,当前页);
		贴子正文=常用.获取文章分页内容(贴子正文内容,当前页,总页数,一页显示记录,是否余下全部==1);
	}
	private String 生成余下全部地址()
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?BID="+所属版块+"&border="+排序+"&bpage="+版块页码+"&bstate="+是否精华+"&ID="+贴子ID+"&page="+(当前页+1)+"&yx=1",访问.用户["标识"].ToString()));
	}

		private String 下页代码7T9S4U5C()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码5K2KQX0H()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>";

			}
			else
			{

			}

			return 返回值;
		}

	private String 余下全部KIHDW5IH()
	{
		String 返回值="";
		if(Request.QueryString["yx"]=="1")
		{

		}
		else
		{
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=生成余下全部地址();
				返回值+=@""">余下全部</a>";

			}
		}
		return 返回值;
	}
	private void 操作记录IBG0T9SC()
	{
		SqlCommand 语句=new SqlCommand("SELECT * FROM ["+程序.数据表前缀+"社区_论坛_贴子操作记录] ORDER BY [ID] DESC",访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,0,2,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append(i+1);
			返回值.Append(@".");
			返回值.Append(Server.HtmlEncode(行["操作记录"].ToString()));
			返回值.Append(@" ");
			返回值.Append(Convert.ToDateTime(行["操作时间"]).ToString(""));
			返回值.Append(@"<br/>");

		}
	}
		private void 投票列表GM4RI0U1()
		{
			for(int i=0;i<投票数组.Length;i++)
			{
				返回值.Append(@"");
				返回值.Append(i+1);
				返回值.Append(@".");
				返回值.Append(Server.HtmlEncode(投票数组[i]));
				返回值.Append(@"(");
				返回值.Append(投票数量数组[i]);
				返回值.Append(@"票/");
				返回值.Append(常用.计算百分比(投票总数,投票数量数组[i]));
				返回值.Append(@"%)<a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Topic.aspx?BID="+所属版块+"&ID="+贴子ID+"&value="+Server.UrlEncode(投票数组[i])+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">投票</a><br/>");

			}
		}
		private void 附件列表SIRWYOU1()
		{
			for(int i=0;i<附件数组.Length;i++)
			{
				String 文件地址=附件数组[i];
				FileInfo FI=new FileInfo(Server.MapPath(文件地址));
				if(常用.是否允许后缀("gif,jpg,jpe,jpeg,png,tif,tiff,bmp",FI.Extension.Substring(1)))
				{
				返回值.Append(@"<img src=""");
				返回值.Append(文件地址);
				返回值.Append(@""" alt="".."" /><br/><a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=small&img="+Server.UrlEncode(文件地址)+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">小图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=middle&img="+Server.UrlEncode(文件地址)+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">中图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=big&img="+Server.UrlEncode(文件地址)+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">大图</a> <a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"ImageZoom.aspx?type=null&img="+Server.UrlEncode(文件地址)+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
				返回值.Append(@""">自定</a><br/>");

				}
				else
				{
				返回值.Append(@"<a href=""");
				返回值.Append(文件地址);
				返回值.Append(@""">附件");
				返回值.Append(i+1);
				返回值.Append(@"(");
				返回值.Append(FI.Extension.Substring(1));
				返回值.Append(@"/");
				返回值.Append(常用.计算文件大小(FI.Length));
				返回值.Append(@")</a><br/>");

				}
			}
		}
	private void 回贴列表8BNHEFRT()
	{
		SqlCommand 语句=new SqlCommand("SELECT [ID],[楼数],[回贴用户ID],[回贴用户昵称],[回贴内容],[发表时间] FROM ["+程序.数据表前缀+"社区_论坛_回贴] WHERE [贴子ID]="+贴子ID+" ORDER BY [发表时间] DESC",访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,0,5,"表");
		if(数据.Tables[0].Rows.Count<1)
			返回值.Append(@"暂时还没有回贴<br/>");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"[");
			返回值.Append(行["楼数"].ToString());
			返回值.Append(@"]<a href=""");
			返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/User.aspx?ID="+行["回贴用户ID"]+"&rurl="+Server.UrlEncode(Request.Url.ToString()),访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["回贴用户昵称"].ToString()));
			返回值.Append(@"</a>(");
			返回值.Append(行["回贴用户ID"].ToString());
			返回值.Append(@")");
			返回值.Append(Server.HtmlEncode(常用.截取字符串(行["回贴内容"].ToString(),0)));
			返回值.Append(@"(");
			返回值.Append(Convert.ToDateTime(行["发表时间"]).ToString("MM-dd HH:mm"));
			返回值.Append(@")<br/>");
		}
	}
	private void 上下贴子VCFCEF79()
	{
		String SQL="SELECT [ID],[所属版块],[标题] FROM ["+程序.数据表前缀+"社区_论坛_贴子] WHERE [是否删除]='0'";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属版块]="+范围ID数组[i];
				else
					SQL+=" OR [所属版块]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属版块]="+所属版块;
		SQL+=" AND [ID]>"+贴子ID+" ORDER BY [ID]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Topic.aspx?BID="+行["所属版块"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">下贴:");
				返回值.Append(Server.HtmlEncode(行["标题"].ToString()));
				返回值.Append(@"</a><br/>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private void 上下贴子A787ZDTP()
	{
		String SQL="SELECT [ID],[所属版块],[标题] FROM ["+程序.数据表前缀+"社区_论坛_贴子] WHERE [是否删除]='0'";
		if(范围ID!=""&&范围ID!=null)
		{
			String[] 范围ID数组=范围ID.Split(new char[]{'|'},StringSplitOptions.RemoveEmptyEntries);
			SQL+=" AND (";
			for(int i=0;i<范围ID数组.Length;i++)
				if(i==0)
					SQL+="[所属版块]="+范围ID数组[i];
				else
					SQL+=" OR [所属版块]="+范围ID数组[i];
			SQL+=")";
		}
		else
			SQL+=" AND [所属版块]="+所属版块;
		SQL+=" AND [ID]<"+贴子ID+" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		SqlDataReader 行=语句.ExecuteReader();
		if(行.Read())
		{
				返回值.Append(@"<a href=""");
				返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Topic.aspx?BID="+行["所属版块"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
				返回值.Append(@""">上贴:");
				返回值.Append(Server.HtmlEncode(行["标题"].ToString()));
				返回值.Append(@"</a><br/>");

		}
		else
		{
			返回值.Append(@"");
		}
		行.Close();
	}
	private String 生成上级版块列表2ELFFSXA(DataSet 数据,int ID)
	{
		if(ID!=0)
		{
			String 返回值="";
			String 版块名称="";
			int 上级版块=0;
			for(int i=0;i<数据.Tables[0].Rows.Count;i++)
			{
				DataRow 行=数据.Tables[0].Rows[i];
				if(Convert.ToInt32(行["ID"])==ID)
				{
					版块名称=Convert.ToString(行["版块名称"]);
					上级版块=Convert.ToInt32(行["所属版块"]);
				}
			}
				返回值+=@"<a href=""";
				返回值+=Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Board.aspx?ID="+ID,访问.用户["标识"].ToString()));
				返回值+=@""">返回";
				返回值+=Server.HtmlEncode(版块名称);
				返回值+=@"</a><br/>";
				return 返回值+生成上级版块列表2ELFFSXA(数据,上级版块);
		}
		else
		{
			return "";
		}
	}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示文字数();

	}
	private String 获取时间格式()
	{
		return @"yyyy-MM-dd HH:mm:ss";

	}
	private String 获取范围ID()
	{
		return null;

	}
	private String 获取查询字段()
	{
		return @"[ID],[作者ID],[所属版块],[附件内容],[投票选项],[模板_贴子内容],[标题],[是否置顶],[是否精华],[是否锁定],[回贴数],[发表时间],[贴子类型],[作者昵称],[点击数],[鲜花数],[鸡蛋数]";

	}
	private String 获取作者查询字段()
	{
		return @"[ID],[最后访问时间],[勋章]";

	}
}